Summary: Utilities for manipulating .desktop files
Name: desktop-file-utils
Version: 0.4
Release: 2
URL: http://www.freedesktop.org/software/desktop-file-utils
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Development/Tools
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: glib2-devel >= 2.0.0
BuildRequires: popt

Obsoletes: desktop-file-validator

Patch0:	desktop-file-utils-0.4-fdo-spec-0.8-fix.patch
Patch1:	desktop-file-utils-0.4-initial-section-fix.patch

%description
.desktop files are used to describe an application for inclusion in
GNOME or KDE menus.  This package contains desktop-file-validate which
checks whether a .desktop file complies with the specification at
http://www.freedesktop.org/standards/, and desktop-file-install 
which installs a desktop file to the standard directory, optionally 
fixing it up in the process.

%prep
%setup -q

#%patch0 -p1 -b .spec-0.8-fix
%patch1 -p1 -b .initial-section-fix

%build

%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# We don't want the vfs module yet
/bin/rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/libmenu*
/bin/rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gnome-vfs-2.0/modules/menu-modules.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*

%changelog
* Mon Mar  1 2004 Dan Williams <dcbw@redhat.com> 0.4-2
- Fix RH #117201, initial comment fails validation
- Add in, but do not use, Frederic Crozat's freedesktop.org
    menu-spec 0.8 patch

* Thu Feb 19 2004 Mark McLoughlin <markmc@redhat.com> 0.4-1
- Update to 0.4

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Sep  3 2003 Havoc Pennington <hp@redhat.com> 0.3-10
- fix for #103276 (int/size_t issue) from twoerner

* Mon Jul  7 2003 Alexander Larsson <alexl@redhat.com> 0.3-9
- Rebuild

* Mon Jun 23 2003 Havoc Pennington <hp@redhat.com> 0.3-8
- rebuild

* Thu Jun  5 2003 Jonathan Blandford <jrb@redhat.com> 0.3-6
- Backport patch to allow @MODIFIER in locale keys

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec  6 2002 Havoc Pennington <hp@redhat.com>
- rebuild

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- fix more error messages

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- remove old symlinks before creating new ones, chills out 
  a lot of error messages

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- version 0.3

* Wed Jul 24 2002 Havoc Pennington <hp@redhat.com>
- 0.2.95 cvs snap, should fix OnlyShowIn

* Mon Jul 22 2002 Havoc Pennington <hp@redhat.com>
- 0.2.94 cvs snap, adds --print-available

* Tue Jul  9 2002 Havoc Pennington <hp@redhat.com>
- 0.2.93 cvs snap with a crash fixed, and corrects [KDE Desktop Entry]

* Fri Jun 21 2002 Havoc Pennington <hp@redhat.com>
- 0.2.92 cvs snap with --remove-key and checking for OnlyShowIn
  and missing trailing semicolons on string lists

* Fri Jun 21 2002 Havoc Pennington <hp@redhat.com>
- 0.2.91 cvs snap with --copy-name-to-generic-name and
  --copy-generic-name-to-name

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 0.2.90 cvs snap with --delete-original fixed

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 0.2

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 09 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu May  9 2002 Havoc Pennington <hp@redhat.com>
- initial build
